/**
 * File: adc.h
 * Creator: Jonathan Klapel
 * Date: 08 June 2014
 * Description: Performs audio recordings from ADC
 */ 


#ifndef ADC_H_
#define ADC_H_

#include <string.h>
#include "conf_board.h"
#include "avr2025_mac.h"
#include "led.h"
#include "delay.h"
#include "common_sw_timer.h"
#include "sleepmgr.h"
#include "FreeRTOS.h"
#include "queue.h"
#include <asf.h>
#include "wavwriter.h"

/* ADC Task Handle */
xTaskHandle xAdcHandle;

/* ADC functions. See adc.c for details */
void pdca_transfer_done(enum pdca_channel_status status);
void start_adc(void);
void adc_task(void);
void set_recording_times(uint32_t start, uint32_t end, uint32_t recording_length);
void adc_recording_crop(void);
void set_playback_start(uint32_t actual_playback_start);



#endif /* ADC_H_ */