/**
 * File: conf_clock.c
 * Creator: Jonathan Klapel
 * Date: 08 June 2014
 * Description: Config File for System Clocks
 */ 

#ifndef CONF_CLOCK_H_INCLUDED
#define CONF_CLOCK_H_INCLUDED

/* #define CONFIG_SYSCLK_INIT_CPUMASK  (1 << SYSCLK_OCD) */
/* #define CONFIG_SYSCLK_INIT_PBAMASK  (1 << SYSCLK_IISC) */
/* #define CONFIG_SYSCLK_INIT_PBBMASK  (1 << SYSCLK_USBC_REGS) */
/* #define CONFIG_SYSCLK_INIT_PBCMASK  (1 << SYSCLK_CHIPID) */
/* #define CONFIG_SYSCLK_INIT_PBDMASK  (1 << SYSCLK_AST) */
/* #define CONFIG_SYSCLK_INIT_HSBMASK  (1 << SYSCLK_PDCA_HSB) */

/* #define CONFIG_SYSCLK_SOURCE        SYSCLK_SRC_RCSYS */
#define CONFIG_SYSCLK_SOURCE        SYSCLK_SRC_OSC0
/* #define CONFIG_SYSCLK_SOURCE        SYSCLK_SRC_PLL0 */
/* #define CONFIG_SYSCLK_SOURCE        SYSCLK_SRC_DFLL */
/* #define CONFIG_SYSCLK_SOURCE        SYSCLK_SRC_RC80M */
/* #define CONFIG_SYSCLK_SOURCE        SYSCLK_SRC_RCFAST */
/* #define CONFIG_SYSCLK_SOURCE        SYSCLK_SRC_RC1M */

/* RCFAST frequency selection: 0 for 4MHz, 1 for 8MHz and 2 for 12MHz */
/* #define CONFIG_RCFAST_FRANGE    0 */
/* #define CONFIG_RCFAST_FRANGE    1 */
/* #define CONFIG_RCFAST_FRANGE    2 */

/* Fbus = Fsys / (2 ^ BUS_div) */
#define CONFIG_SYSCLK_CPU_DIV         0
#define CONFIG_SYSCLK_PBA_DIV         0
#define CONFIG_SYSCLK_PBB_DIV         0
#define CONFIG_SYSCLK_PBC_DIV         0
#define CONFIG_SYSCLK_PBD_DIV         0

/* ===== Disable all non-essential peripheral clocks */
/* #define CONFIG_SYSCLK_INIT_CPUMASK  0 */
/* #define CONFIG_SYSCLK_INIT_PBAMASK  SYSCLK_USART1 */
/* #define CONFIG_SYSCLK_INIT_PBBMASK  0 */
/* #define CONFIG_SYSCLK_INIT_PBCMASK  0 */
/* #define CONFIG_SYSCLK_INIT_PBDMASK  0 */
/* #define CONFIG_SYSCLK_INIT_HSBMASK  0 */

/* ===== PLL Options */
#define CONFIG_PLL0_SOURCE          PLL_SRC_OSC0
/* #define CONFIG_PLL0_SOURCE          PLL_SRC_GCLK9 */

/* Fpll0 = (Fclk * PLL_mul) / PLL_div */
/* #define CONFIG_PLL0_MUL             (48000000UL / BOARD_OSC0_HZ) */
/* #define CONFIG_PLL0_DIV             1 */
#define CONFIG_PLL0_MUL               (192000000 / FOSC0) /* Fpll = (Fclk *
	                                                   *PLL_mul) / PLL_div
	                                                   **/
#define CONFIG_PLL0_DIV               4 /* Fpll = (Fclk * PLL_mul) / PLL_div */

/* ==== DFLL Options */
/* #define CONFIG_DFLL0_SOURCE         GENCLK_SRC_OSC0 */
/* #define CONFIG_DFLL0_SOURCE         GENCLK_SRC_RCSYS */
#define CONFIG_DFLL0_SOURCE         GENCLK_SRC_OSC32K
/* #define CONFIG_DFLL0_SOURCE         GENCLK_SRC_RC120M */
/* #define CONFIG_DFLL0_SOURCE         GENCLK_SRC_RC32K */

/* Fdfll = (Fclk * DFLL_mul) / DFLL_div */
#define CONFIG_DFLL0_FREQ           48000000UL
#define CONFIG_DFLL0_MUL            ((4 * CONFIG_DFLL0_FREQ) / BOARD_OSC32_HZ)
#define CONFIG_DFLL0_DIV            4
/* #define CONFIG_DFLL0_MUL            (CONFIG_DFLL0_FREQ / BOARD_OSC32_HZ) */
/* #define CONFIG_DFLL0_DIV            1 */

/* ===== USB Clock Source Options */
/* #define CONFIG_USBCLK_SOURCE        USBCLK_SRC_OSC0 */
#define CONFIG_USBCLK_SOURCE        USBCLK_SRC_PLL0
/* #define CONFIG_USBCLK_SOURCE          USBCLK_SRC_DFLL */

/* Fusb = Fsys / USB_div */
#define CONFIG_USBCLK_DIV           1

/* ===== GCLK9 option */
/* #define CONFIG_GCLK9_SOURCE           GENCLK_SRC_GCLKIN0 */
/* #define CONFIG_GCLK9_DIV              1 */

#endif /* CONF_CLOCK_H_INCLUDED */
