/**
 * File: conf_usb_host.c
 * Creator: Jonathan Klapel
 * Date: 08 June 2014
 * Description: Config File for USB
 */ 

#ifndef _CONF_USB_HOST_H_
#define _CONF_USB_HOST_H_

#include "compiler.h"

// Array of UHI APIs Define the list of UHI supported by USB host.
#define USB_HOST_UHI        UHI_MSC

// Maximum current allowed on Vbus (mA)
#define USB_HOST_POWER_MAX  500

// Authorize the USB host to run in High Speed
#if (UC3A3 || UC3A4)
#  define USB_HOST_HS_SUPPORT
#endif

// To notify that a device has been connected or disconnected.
#define UHC_CONNECTION_EVENT(dev,b_present) ui_usb_connection_event(dev,b_present)

// Called for each received SOF each 1 ms
// Note: Available in High and Full speed mode
#define UHC_SOF_EVENT()                     ui_usb_sof_event()

// Configuration of MSC interface
#define UHI_MSC_CHANGE(dev,b_plug)

#include "uhi_msc.h"
#include "ui.h"
#include "main.h"

#endif // _CONF_USB_HOST_H_
