/**
 * File: ui.h
 * Creator: Jonathan Klapel
 * Date: 08 June 2014
 * Description: Functions required for USB thumb drive
 */ 


#ifndef _UI_H_
#define _UI_H_

#include "uhc.h"
#include "led.h"
#include "helper.h"
#include "common_sw_timer.h"

/* USB functions - see ui.c for details */
void ui_usb_connection_event(uhc_device_t *dev, bool b_present);
void ui_usb_sof_event(void);
bool ui_identify_lun(void);
uint8_t get_connected_lun(void);

/**
 * UI USB Enumeration Event Function
 *
 * Notify the end of a USB device enumeration
 *
 * Parameter: dev         Pointer on USB device information
 * Parameter: status      Status of the USB enumeration
 */
void ui_usb_enum_event(uhc_device_t *dev, uhc_enum_status_t status);

#endif // _UI_H_
