/**
 * File: wavwriter.h
 * Creator: Jonathan Klapel
 * Date: 08 June 2014
 * Description: Writes WAV files
 */ 


#ifndef WAVWRITER_H_
#define WAVWRITER_H_

#include <asf.h>
#include "ui.h"

/* Public functions - see Wavwriter.c for details */
void wavfile_open(FIL *file_object, char const *file_name, uint32_t length );
uint32_t wavfile_write(FIL *file_object, short data[], int length );
void wavfile_close( FIL *file_object );
void wavfile_crop(char const *file1, char const *file2, uint32_t recording_start_time, uint32_t playback_start_time, uint32_t duration);

#define WAVFILE_SAMPLES_PER_SECOND 22050
#define CODE_OFFSET 5



#endif /* WAVWRITER_H_ */