/**
 * File: dac.h
 * Creator: Jonathan Klapel
 * Date: 08 June 2014
 * Description: DAC Audio output functions
 */ 


#ifndef DAC_H_
#define DAC_H_

#include <math.h>
#include "fastmath.h"
#include "arm_math.h"
#include "zigbit.h"
#include "time.h"

/* Audio playback functions - see dac.c for details */
void audio_init(void);
void audio_task(void);
void set_playback_values(double freq_start, double freq_end, double play_duration, double rec_duration);
uint8_t get_audio_start_handle(void);

static xTaskHandle xAudioHandle;

#endif /* DAC_H_ */