/**
 * File: time.h
 * Creator: Jonathan Klapel
 * Date: 08 June 2014
 * Description: Performs the synchronization and time-keeping
 */ 


#ifndef TIME_H_
#define TIME_H_

#include <asf.h>
#include "common_sw_timer.h"

#define RECORD_TIME_SECONDS		(5)
#define RECORD_DELAY_SECONDS	(1)
#define MAX_DELTA_DRIFT			(50)

/* Time Functions - see time.c for details */
void set_sync_start_time(uint32_t time);
void set_sync_end_time(uint32_t time);
void set_ack_start_time(uint32_t time);
void set_ack_end_time(uint32_t time);
void calculate_offsets(void);
uint32_t get_global_time(void);
int32_t get_delta(void);
float get_delta_change(void);
int32_t get_estimated_delta_change(uint32_t timestamp);
int32_t get_transmit(void);
uint8_t isTimeSynced(void);

#endif /* TIME_H_ */