/* AirBeam Synchronization Bookmarklet */
/* Usage: Click on the bookmarklet when AirBeam page is open */
/* Setup: Remove all comments and bookmarks then save as a bookmarklet */
javascript:(
	function(){		
		/* Request sweep information from user */
		var start = parseInt( prompt( "Enter Start Delay" , "0" ) );
		var startfreq = parseInt( prompt( "Enter Start Frequency" , "500" ) );
		var endfreq = parseInt( prompt( "Enter End Frequency" , "10000" ) );
		var duration = parseInt( prompt( "Enter Play Duration" , "10" ) );
		var reverb = parseInt( prompt( "Enter Reverb Record Time" , "5" ) );
		
		/* Setup Web Audio API */
		var context = new webkitAudioContext(), oscillator = context.createOscillator();
		
		/* Configure Oscillator Node */
		oscillator.type = 0;
		oscillator.frequency.value = startfreq;
		oscillator.connect( context.destination );
		oscillator.frequency.setValueAtTime( startfreq , start );
		oscillator.frequency.exponentialRampToValueAtTime( endfreq , start + duration );
		oscillator.start( start );
		oscillator.stop( start + duration );
		
		/* Everything is ready, click the record button */
		document.getElementById( "button_record" ).click();
		
		/* Setup timers to press the AirBeam stop button */
		var myStopVar = setInterval( function(){ myStopTimer() } , 100 );
		
		function myStopTimer() {
			if( context.currentTime >= ( start + duration ) ) {
				myStopStopFunction();
				setTimeout( function() { 
					document.getElementById("button_record").click();
				}, reverb * 1000);
			}
		}
		
		function myStopStopFunction() {
			clearInterval( myStopVar );
		}
	}
)();
