% Sine Sweep Signal Generation
%
% Based on a script from Prof. Svensson
%
% Paramters:
%  fstart - Starting frequency (Hz)
%  fend - Ending frequency (Hz)
%  Tsweep - Duration (seconds)
%  fs - Sample rate (samples/second)

fstart = 500;
fend = 10000;
Tsweep = 2;
fs = 44100;

tvec = [0:Tsweep*fs-1]/fs;
b = log(fend/fstart);
sig = 0.5*sin(2*pi*fstart*Tsweep/b*(exp(tvec/Tsweep*b)-1));

filename = ['Sweep_',int2str(fstart),'_',int2str(fend),'Hz.wav'];

wavwrite(sig,fs,filename);
