function [ output_args ] = fplot( file )
%fplot Displays an FFT spectrum plot of the file
%
% Paramaters:
%  file - Input file to display the spectrum of

[y fs]=wavread(file);

nfft_plot = length(y);
TF_useful = fft(y,nfft_plot);
fvec = fs/nfft_plot*[0:nfft_plot/2-1];

semilogx(fvec,smooth(20*log10(abs(TF_useful(1:nfft_plot/2))),101))

title(file);
xlabel('Frequency');
ylabel('Amplitude (dB)');

end

