function [ output_args ] = fplot2( file, file2, offset )
%fplot2 Displays the frequency plot of two files
%
% Parameters:
%  file - First file to display spectrum of
%  file2 - Second file to display spectrum of
%  offset - An offset to apply to file2 when graphing

[y fs]=wavread(file);
nfft_plot = length(y);
TF_useful = fft(y,nfft_plot);
fvec = fs/nfft_plot*[0:nfft_plot/2-1];

semilogx(fvec,smooth(20*log10(abs(TF_useful(1:nfft_plot/2))),101))

title(strcat('Compare ', file, ' & ', file2));
xlabel('Frequency');
ylabel('Amplitude (dB)');

hold on

[y fs]=wavread(file2);
TF_useful = fft(y,nfft_plot);
semilogx(fvec,smooth(20*log10(abs(TF_useful(1:nfft_plot/2))),101)+offset,'r')

end

